declare enum Level {
    ERROR = "ERROR",
    DEFAULT = "DEFAULT",
    DEBUG = "DEBUG"
}
export declare class Logging {
    readonly _log: Function;
    readonly _error: Function;
    readonly _debug: Function;
    readonly logLevel: Level;
    constructor(log?: Function, error?: Function, debug?: Function);
    static log: (...args: any[]) => void;
    static error: (err: Error, ...args: any[]) => void;
    static debug: (...args: any[]) => void;
    log: (...args: any[]) => void;
    debug: (...args: any[]) => void;
    error: (err: Error, ...args: any[]) => void;
}
export {};
